> ## Documentation Index
> Fetch the complete documentation index at: https://docs.searchcompany.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Products

> Get all products for a business

Returns all products being tracked for a business.

## Path Parameters

<ParamField path="business_id" type="string" required>
  The Clerk organization slug
</ParamField>

## Response

<ResponseField name="business_id" type="string">
  The organization slug
</ResponseField>

<ResponseField name="products" type="array">
  List of products
</ResponseField>

<ResponseField name="total" type="integer">
  Total number of products
</ResponseField>

### Product Object

| Field            | Type    | Description                                  |
| ---------------- | ------- | -------------------------------------------- |
| `id`             | string  | UUID of the product entity                   |
| `product_id`     | string  | Slugified product identifier                 |
| `name`           | string  | Product display name                         |
| `url`            | string  | Product page URL (optional)                  |
| `favicon_url`    | null    | Always `null` for products (only businesses) |
| `citation_count` | integer | Number of AI citations for this product      |
| `created_at`     | string  | ISO timestamp                                |
| `updated_at`     | string  | ISO timestamp                                |

<RequestExample>
  ```bash cURL theme={null}
  curl "https://searchcompany-main.up.railway.app/api/products/nike-123456" \
    -H "Authorization: Bearer <token>"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "business_id": "nike-123456",
    "products": [
      {
        "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "product_id": "running-shoes",
        "name": "Running Shoes",
        "url": "https://nike.com/running-shoes",
        "favicon_url": null,
        "citation_count": 3,
        "created_at": "2024-12-10T14:30:00Z",
        "updated_at": "2024-12-10T14:30:00Z"
      },
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "product_id": "air-jordan-1",
        "name": "Air Jordan 1",
        "url": "https://nike.com/air-jordan-1",
        "favicon_url": null,
        "citation_count": 2,
        "created_at": "2024-12-10T14:35:00Z",
        "updated_at": "2024-12-10T14:35:00Z"
      }
    ],
    "total": 2
  }
  ```
</ResponseExample>
